
-- création du user de la base
grant all privileges on *.* to poshprofiluser@%%adresse_ip_web identified by '123aze';
flush privileges ;

-- On met à jour les adresses du bureau, de l'ead et du gestionnaire de profile
\r poshprofile
SET character_set_client = utf8;

-- Insertion de nouvelles colonnes
DROP PROCEDURE IF EXISTS InsertColumn;
delimiter |
CREATE PROCEDURE InsertColumn(_titre VARCHAR( 32 ))
BEGIN
	DECLARE keyexit INT DEFAULT 0;

	CASE  _titre
		WHEN 'perm_enseignant' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_wordpress' AND column_name =  'perm_enseignant';
			IF keyexit = 0 THEN
				ALTER TABLE  `admin_wordpress` ADD  `perm_enseignant` INT NULL AFTER  `perm_responsable`;
			END IF;	
			
		WHEN 'role_notchange' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'admin_wordpress' AND column_name =  'role_notchange';
			IF keyexit = 0 THEN
				ALTER TABLE  `admin_wordpress` ADD  `role_notchange` TINYINT NULL AFTER  `del_user`;
			END IF;	

		WHEN 'pia_role_notchange' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'pia_wordpress' AND column_name =  'role_notchange';
			IF keyexit = 0 THEN
				ALTER TABLE  `pia_wordpress` ADD  `role_notchange` TINYINT NULL AFTER  `del_user`;
			END IF;	
			
		WHEN 'profil_ban' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'profile' AND column_name =  'ban';
			IF keyexit = 0 THEN
				ALTER TABLE  `profile` ADD  `ban` BOOLEAN NULL AFTER  `description`;
			END IF;		
			
		WHEN 'profil_ban_url' THEN
			SELECT COUNT(*) INTO keyexit FROM INFORMATION_SCHEMA.columns WHERE table_schema =  'poshprofile' AND table_name =  'profile' AND column_name =  'banurl';
			IF keyexit = 0 THEN
				ALTER TABLE  `profile` ADD  `banurl` VARCHAR(255) NULL AFTER  `ban`;
			END IF;						
	END CASE;	
END|
DELIMITER ;


-- Modification de structure
Call InsertColumn('profil_ban');
Call InsertColumn('profil_ban_url');

-- Profile
INSERT IGNORE INTO `profile` (`profileid`, `name`, `description`, `categorie`) VALUES
(1, 'professeur', 'Enseignants', 0),
(2, 'eleve', 'Elèves', 0),
(3, 'administrateur', 'Administrateur', 0),
(4, 'main_user', 'Tout le monde', 0),
(5, 'responsable', 'Responsables légaux', 0),
(6, 'administratif', 'Administratifs', 0);

-- Categorie d'item
INSERT IGNORE INTO `catitem` (`id`, `name`, `order`, `icon`, `color`) VALUES
(-100, 'Application', 1, '', '#2ECC71'),
(-110, 'Administration', 2, '', '#C0392B');

-- Attribut
INSERT IGNORE INTO `userattr` (`userattrid`, `attrname`, `attrvalue`) VALUES
(1, 'typeadmin', '0'),
(2, 'typeadmin', '2'),
(3, 'uid', 'None'),
(4, 'uid', 'admin'),
(5, 'user_groups', 'eleves'),
(6, 'objectclass', 'responsable'),
(7, 'user_groups', 'administratifs');

-- Association Profil <> Attribut
INSERT IGNORE INTO `userattrprofile` (`userattrid`, `profileid`) VALUES
(1, 1),
(2, 1),
(3, 4),
(4, 3),
(5, 2),
(6, 5),
(7, 6);

-- Gestion du Menu -----------------------------------------------------------------------------------------------------------------------------------

-- Table des Entrées du Menu
CREATE TABLE IF NOT EXISTS `admin_panel` (
  `admin_panel_id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_panel_label` varchar(250) NOT NULL,
  `admin_panel_url` varchar(250) NOT NULL,
  `admin_panel_order` int(11) NOT NULL,
  `admin_panel_group_id` varchar(250) NOT NULL,
  PRIMARY KEY (`admin_panel_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DELETE FROM `admin_panel`;
%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
(1, 'Gestion des Catégories de Profils', 'admin-catprofil.php', 1, '1'),
(2, 'Gestion des Profils', 'admin-profil.php', 2, '1'),
(3, 'Gestion des Attributs', 'admin-attribut.php', 3, '1'),
(4, 'Gestion des Catégories d''Items', 'admin-catitem.php', 4, '1'),
(5, 'Gestion des Items de Bureau', 'admin-item.php', 5, '1'),
(6, 'Gestion des Onglets', 'admin-thumb.php', 6, '1'),
(7, 'Gestion des Articles', 'admin-alert.php', 7, '1'),

(10, 'Définir des Rôles', 'admin-attrprofil.php', 1, '10'),
(11, '<br>Autoriser des Items de Bureau', 'admin-profilitem.php', 2, '10'),
(12, 'Autoriser des Onglets', 'admin-profilthumb.php', 3, '10'),
(13, 'Autoriser des Articles', 'admin-profilalert.php', 4, '10'),
(14, '<br>Délégation', 'admin-delegation.php', 5, '10');
%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ENT'
	%if %%is_defined('activer_balado') and %%activer_balado == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(20, 'Balado','synchro/balado-admin.php',1,'20');
	%end if

	%if %%is_defined('activer_cdt') and %%activer_cdt == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(21, 'CDT','synchro/cdt-admin.php',2,'20');
	%end if

	%if %%is_defined('activer_iconito') and %%activer_iconito == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(22, 'Iconito','synchro/iconito-admin.php',3,'20');
	%end if

	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui' and %%is_defined('moodle_version') and %%moodle_version >= 25
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(23, 'Moodle','synchro/moodle-admin.php',4,'20');
	%end if

	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(24, 'Posh','synchro/posh-admin.php',5,'20');
	%end if

	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(25, 'Wordpress','synchro/wordpress-admin.php',6,'20');
	%end if
	
	%if %%is_defined('activer_gepi') and %%activer_gepi == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(26, 'gepi','https://%%{web_url}/gepi/gepi-admin.php',7,'20');
	%end if

	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(28, 'limesurvey','synchro/limesurvey-admin.php',8,'20');
	%end if

%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'Annuaire'
	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(24, 'Posh','pia/posh-admin.php',5,'20');
	%end if
	
	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(25, 'Wordpress','pia/wordpress-admin.php',6,'20');
	%end if

	%if %%is_defined('activer_fengoffice') and %%activer_fengoffice == 'oui'
		INSERT INTO `admin_panel` (`admin_panel_id`, `admin_panel_label`, `admin_panel_url`, `admin_panel_order`, `admin_panel_group_id`) VALUES
		(26, 'Fengoffice','pia/fengoffice-admin.php',7,'20');
	%end if
%end if


-- Tables des Groupes de Menu
CREATE TABLE IF NOT EXISTS `admin_panel_group` (
  `admin_panel_group_id` int(11) NOT NULL,
  `admin_panel_group_name` varchar(255) NOT NULL,
  `admin_panel_group_order` int(11) NOT NULL,
  PRIMARY KEY (`admin_panel_group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DELETE FROM `admin_panel_group`;
INSERT INTO `admin_panel_group` (`admin_panel_group_id`, `admin_panel_group_name`, `admin_panel_group_order`) VALUES
%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
(1, 'Paramétrages', 1),
(10, 'Permission', 2),
%end if
(20, 'Synchronisation',3);


-- Gestion des Alertes -------------------------------------------------------------------------------------------------------------------------------

DROP PROCEDURE IF EXISTS InsertAlert;
delimiter |
CREATE PROCEDURE InsertAlert(_titre VARCHAR( 32 ) , _type INT( 1 ), _order INT(2), _nbalert INT(2), _color VARCHAR( 150 ), _rss VARCHAR( 150 ))
BEGIN
	DECLARE idinsert INT;
	DECLARE fgexist  INT;
	
	SELECT COUNT(*), idalert INTO fgexist, idinsert FROM alert WHERE titrealert=_titre;
    INSERT INTO `alert` (titrealert, typealert, rssalert, orderalert, nbalert, color) VALUES (_titre, _type, _rss, _order, _nbalert, _color) ON DUPLICATE KEY UPDATE rssalert=_rss;

	IF _titre='Articles' THEN
		SELECT idalert INTO idinsert FROM alert WHERE titrealert=_titre;
		INSERT IGNORE INTO `alertmsg` (`idmsg`, `idalert`, `datealert`, `titrealert`) VALUES (-100, idinsert, '2000-01-01', 'Envole');
		UPDATE `alertmsg` SET `textalert`='<div style="display:block; min-height:220px;">	<div style="float: left;margin-right: 10px;">		<img src="/posh-profil/images/thumb-envole.jpg" />		<div id="rssMore" style="margin:0px !important">			<a href="http://ent-envole.com" style="font-size: 12px; text-align: center; display:block;" target="_blank">Visitez le site vitrine</a></div>	</div>	<div style="margin-left:140px;">		<h2>			Projet Envole</h2>		<p>			Envole est un Espace Num&eacute;rique Personnel pour l&#39;Education.</p>		<p>			Il propose une interface de type portail Web 2.0 qui permet l&rsquo;interaction entre un utilisateur et son environnement num&eacute;rique r&eacute;sultant de l&rsquo;utilisation de services h&eacute;t&eacute;rog&egrave;nes.</p>		<p>			Il centralise dans une seule interface l&rsquo;ensemble des applications de l&rsquo;utilisateur : mail, agenda, dossier personnel, B2I, blog, gestion de notes, gestion des absences, etc &hellip;</p>	</div></div><div style="display:block; min-height:220px;">	<div style="float: right;margin-left: 10px;">		<img src="/posh-profil/images/thumb-mutualisation.jpg" />		<div id="rssMore" style="margin: 0px !important">			<a href="https://envole.ac-dijon.fr" style="font-size: 12px; text-align: center; display:block;" target="_blank">Visitez le site vitrine</a></div>	</div>	<div style="margin-right:140px;">		<h2>			Mutualisation Envole</h2>		<p>			Afin de fournir un portail de services en ligne &agrave; tous les acteurs du syst&egrave;me &eacute;ducatif, les acad&eacute;mies d&rsquo;Aix-Marseille, de Besan&ccedil;on, de Cr&eacute;teil, de Dijon, de Reims, de La R&eacute;union, d&rsquo;Orl&eacute;ans-Tours et de Poitiers ont d&eacute;cid&eacute; de coop&eacute;rer et de conjuguer leurs efforts pour d&eacute;velopper en commun un espace num&eacute;rique de travail &agrave; destination des &eacute;coles et des &eacute;tablissements scolaires.</p>		<p>			Envole est aussi mise en &oelig;uvre sur d&rsquo;autres territoires d&rsquo;acad&eacute;mies qui n&rsquo;ont pas sign&eacute; la convention de partenariat mais dont les &eacute;quipes contribuent au d&eacute;veloppement technique.</p>	</div></div><div style="display:block; min-height:220px;"><div style="float: left;margin-right: 10px;">	<img src="/posh-profil/images/thumb-eole.jpg" />	<div id="rssMore" style="margin:0px !important">		<a href="http://eole.orion.education.fr/" style="font-size: 12px; text-align: center; display:block;" target="_blank">Visitez le site vitrine</a></div></div><div style="margin-left:140px;">	<h2>		EOLE</h2>	<p>		EOLE est une solution informatique clef en mains compos&eacute;e de produits libres packag&eacute;s pour des besoins sp&eacute;cifiques. Les solutions sont pr&ecirc;tes &agrave; l&rsquo;emploi, elles sont faciles &agrave; installer et &agrave; maintenir. Les besoins couverts vont de la messagerie et la gestion des fichiers au serveur de s&eacute;curit&eacute;.</p>	<p>		Les fonctionnalit&eacute;s propos&eacute;es par EOLE couvrent tous les besoins d&rsquo;un &eacute;tablissement scolaire, que ce soit pour la p&eacute;dagogie ou l&rsquo;administratif. C&rsquo;est la solution informatique officielle de l&rsquo;Education Nationale.</p>	<p>		EOLE s&rsquo;ouvre maintenant &agrave; d&rsquo;autres administrations.</p></div></div>' WHERE `idmsg`=-100;
		
		IF NOT fgexist THEN
			INSERT INTO profilealert (profileid, alertid) VALUES(4,idinsert);
		END IF;
	ELSE
		IF NOT fgexist THEN
			SELECT idalert INTO idinsert FROM alert WHERE titrealert=_titre;
			INSERT INTO profilealert (profileid, alertid) VALUES(3,idinsert);
		END IF;
	END IF;
END|
DELIMITER ;

CALL InsertAlert('Articles', 1, 1, 5, '#2ecc71', '');
CALL InsertAlert('Envole'  , 0, 2, 5, '#00cbf3', 'http://dev-eole.ac-dijon.fr/projects/envole/news.atom?key=0c3837f9fcaf2704056f8915c92c9dfb3d27579c');
CALL InsertAlert('EOLE'    , 0, 3, 5, '#f39c12', 'http://dev-eole.ac-dijon.fr/projects/modules-eole/news.atom?key=0c3837f9fcaf2704056f8915c92c9dfb3d27579c');


DROP PROCEDURE InsertAlert;



-- Tables de Synchronisation -------------------------------------------------------------------------------------------------------------------------

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'ENT'
	
	-- On supprime les tables de synchro annuaire
	DROP TABLE IF EXISTS pia_posh;
	DROP TABLE IF EXISTS pia_wordpress;
	DROP TABLE IF EXISTS pia_wordpress_group;
	DROP TABLE IF EXISTS pia_fengoffice;
	
	-- Table d'administration de synchronisation Posh
	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_posh` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_group` tinyint(1) NOT NULL,
	  `synchro_profil` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_group` tinyint(1) NOT NULL,
	  `del_profil` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_posh` (`id`, `synchro_group`, `synchro_profil`, `synchro_user`, `del_group`, `del_profil`, `del_user`) VALUES (1, 1, 1, 1, 1, 1, 1);
	%else
	DROP TABLE IF EXISTS admin_posh;
	%end if

	-- Table d'administration de synchronisation Wordpress
	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_wordpress` (
	  `id` int(11) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  `role_notchange` tinyint(1) DEFAULT NULL,
	  `perm_visiteur` int(11) NOT NULL,
	  `perm_eleve` int(11) NOT NULL,
	  `perm_responsable` int(11) NOT NULL,
	  `perm_enseignant` int(11) DEFAULT NULL,
	  `perm_administratif` int(11) NOT NULL,
	  `perm_administrateur` int(11) NOT NULL,
	  `idsynchro` varchar(50) NOT NULL,
	  `labelsynchro` varchar(255) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	
	CALL InsertColumn('perm_enseignant');
	CALL InsertColumn('role_notchange');
	
	INSERT IGNORE INTO `admin_wordpress` (`id`, `synchro_user`, `del_user`, `perm_visiteur`, `perm_eleve`, `perm_responsable`, `perm_enseignant`, `perm_administratif`, `perm_administrateur`, `idsynchro`, `labelsynchro`) VALUES (1, 1, 1, 0, 1, 1, 4, 4, 5, '-1', 'Tout > Tout');
	UPDATE  admin_wordpress SET  perm_enseignant =  '4' WHERE  perm_enseignant IS NULL;
	UPDATE  admin_wordpress SET  role_notchange =  '1' WHERE  role_notchange IS NULL;
	
	%else
	DROP TABLE IF EXISTS admin_wordpress;
	%end if

	-- Table d'administration de synchronisation du cahier de textes (CDT)
	%if %%is_defined('activer_cdt') and %%activer_cdt == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_cdt` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_eleves` tinyint(1) NOT NULL,
	  `del_eleves` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

	INSERT IGNORE INTO `admin_cdt` (`id`, `synchro_eleves`, `del_eleves`) VALUES (1, 1, 1);
	%else
	DROP TABLE IF EXISTS admin_cdt;
	%end if

	-- Table d'administration de synchronisation Iconito
	%if %%is_defined('activer_iconito') and %%activer_iconito == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_iconito` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_year` int(11) NOT NULL,
	  `synchro_yearstart` date NOT NULL,
	  `synchro_yearend` date NOT NULL,
	  `synchro_group` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_group` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	CREATE TABLE IF NOT EXISTS `admin_iconito_rne` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `rne` varchar(250) NOT NULL,
	  `ville` varchar(250) NOT NULL,
	  `circonscription` varchar(250) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
	
	INSERT IGNORE INTO `admin_iconito` (`id`, `synchro_year`, `synchro_yearstart`, `synchro_yearend`, `synchro_group`, `synchro_user`, `del_group`, `del_user`) VALUES
	(1, 0, '0000-00-00', '0000-00-00', 0, 1, 0, 1);
	%else
	DROP TABLE IF EXISTS admin_iconito;
	DROP TABLE IF EXISTS admin_iconito_rne;
	%end if

    -- Table d'administration de la synchro gepi
	%if %%is_defined('activer_gepi') and %%activer_gepi == 'oui'
    CREATE TABLE IF NOT EXISTS `admin_gepi` (
      `id` int(11) NOT NULL,
      `synchro_eleves` tinyint(1) NOT NULL,
      `synchro_resp` tinyint(1) NOT NULL,
      `synchro_profs` tinyint(1) NOT NULL
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

    INSERT IGNORE INTO `admin_gepi` (`id`, `synchro_eleves`, `synchro_resp`, `synchro_profs`) VALUES (1, 1, 1, 1);
	%else
	DROP TABLE IF EXISTS admin_gepi;
	%end if


    
	-- Table d'administration de synchronisation Balado
	%if %%is_defined('activer_balado') and %%activer_balado == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_balado` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_classe` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_classe` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_balado` (`id`, `synchro_classe`, `synchro_user`, `del_classe`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%else
	DROP TABLE IF EXISTS admin_balado;
	%end if


	-- Table d'administration de synchronisation Moodle
	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui' and %%is_defined('moodle_version') and %%moodle_version >= 25
	CREATE TABLE IF NOT EXISTS `admin_moodle` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_classe` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_classe` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_moodle` (`id`, `synchro_classe`, `synchro_user`, `del_classe`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%else
	DROP TABLE IF EXISTS admin_moodle;
	%end if

	-- Table d'administration de synchronisation Limesurvey
	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
	CREATE TABLE IF NOT EXISTS `admin_limesurvey` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_classe` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `admin_limesurvey` (`id`, `synchro_classe`) VALUES (1, 1);
	%else
	DROP TABLE IF EXISTS admin_limesurvey;	
	%end if
%end if

%if %%is_defined('poshprofil_typesynchro') and %%poshprofil_typesynchro == 'Annuaire'
	
	-- On supprime les tables de synchro ENT
	DROP TABLE IF EXISTS admin_posh;
	DROP TABLE IF EXISTS admin_wordpress;
	DROP TABLE IF EXISTS admin_cdt;
	DROP TABLE IF EXISTS admin_iconito;
	DROP TABLE IF EXISTS admin_iconito_rne;
	DROP TABLE IF EXISTS admin_balado;
	DROP TABLE IF EXISTS admin_moodle;
	DROP TABLE IF EXISTS admin_limesurvey;

	-- Table d'administration de synchronisation Posh
	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_posh` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `synchro_profil` tinyint(1) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_profil` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

	INSERT IGNORE INTO `pia_posh` (`id`, `synchro_profil`, `synchro_user`, `del_profil`, `del_user`) VALUES (1, 1, 1, 1, 1);
	%else
	DROP TABLE IF EXISTS pia_posh;
	%end if
		
	-- Table d'administration de synchronisation Wordpress
	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_wordpress` (
	  `id` int(11) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  `role_notchange` tinyint(1) DEFAULT NULL,
	  `ldap_abonne` varchar(255) DEFAULT NULL,
	  `ldap_contributeur` varchar(255) DEFAULT NULL,
	  `ldap_auteur` varchar(255) DEFAULT NULL,
	  `ldap_editeur` varchar(255) DEFAULT NULL,
	  `ldap_administrateur` varchar(255) NOT NULL,
	  `ldap_user` varchar(255) DEFAULT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;

	-- Table d'administration de synchronisation Wordpress Groupe
	CREATE TABLE IF NOT EXISTS `pia_wordpress_group` (
	  `id` int(11) NOT NULL,
	  `name_group` varchar(255) DEFAULT NULL,
	  `ldap_query` varchar(255) DEFAULT NULL,
	  PRIMARY KEY (`id`,`name_group`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	
	INSERT IGNORE INTO `pia_wordpress` (`id`, `synchro_user`, `del_user`, `ldap_abonne`, `ldap_contributeur`, `ldap_auteur`, `ldap_editeur`, `ldap_administrateur`, `ldap_user`) VALUES (1, 0, 0, '', '', '', '', '(uid=admin)', '(uid=#login#)');
	
	CALL InsertColumn('pia_role_notchange');
	UPDATE  pia_wordpress SET  role_notchange =  '1' WHERE  role_notchange IS NULL;
		
	%else
	DROP TABLE IF EXISTS pia_wordpress;
	DROP TABLE IF EXISTS pia_wordpress_group;
	%end if
	
	-- Table d'administration de synchronisation fengoffice
	%if %%is_defined('activer_fengoffice') and %%activer_fengoffice == 'oui'
	CREATE TABLE IF NOT EXISTS `pia_fengoffice` (
	  `id` int(11) NOT NULL,
	  `synchro_user` tinyint(1) NOT NULL,
	  `del_user` tinyint(1) NOT NULL,
	  `ldap_guest` varchar(255) DEFAULT NULL,
	  `ldap_guestcustomer` varchar(255) DEFAULT NULL,
	  `ldap_externalcollaborator` varchar(255) DEFAULT NULL,
	  `ldap_internalcollaborator` varchar(255) DEFAULT NULL,
	  `ldap_collaboratorcustomer` varchar(255) NOT NULL,
	  `ldap_executive` varchar(255) DEFAULT NULL,
	  `ldap_manager` varchar(255) DEFAULT NULL,
	  `ldap_administrator` varchar(255) DEFAULT NULL,
	  `ldap_superadministrator` varchar(255) DEFAULT NULL,
	  `ldap_user` varchar(255) DEFAULT NULL,
	  PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;

	INSERT IGNORE INTO `pia_fengoffice` (`id`, `synchro_user`, `del_user`, `ldap_guest`, `ldap_guestcustomer`, `ldap_externalcollaborator`, `ldap_internalcollaborator`, `ldap_collaboratorcustomer`, `ldap_executive`, `ldap_manager`, `ldap_administrator`, `ldap_superadministrator`, `ldap_user`) VALUES (1, 0, 0, '', '', '', '','','(uid=*)','','','(uid=admin)','(uid=#login#)');
	%else
	DROP TABLE IF EXISTS pia_fengoffice;
	%end if		
%end if

-- Création Item Bureau ------------------------------------------------------------------------------------------------------------------------------

DROP PROCEDURE IF EXISTS GereDesktopItem;
delimiter |
CREATE PROCEDURE GereDesktopItem(_fgactif INT, _name VARCHAR( 32 ) , _libelle VARCHAR( 32 ), _url VARCHAR( 150 ), _icon VARCHAR(150), _badge_type VARCHAR( 32 ), _badge_url VARCHAR(150), _categorie INT)
begin
	DECLARE iditem INT;
	DECLARE fgexist INT;
	
	IF _fgactif THEN
		SELECT COUNT(*), desktopid INTO fgexist,iditem FROM desktopitem WHERE name=_name;
		INSERT INTO `desktopitem` (name, libelle, url, icon, badge_type, badge_url, indice, color, categorie) VALUES (_name, _libelle, _url, _icon, _badge_type, _badge_url, 0, '#00cbf3', _categorie) ON DUPLICATE KEY UPDATE url=_url, badge_url=_badge_url;
		
		IF fgexist=0 THEN
			SELECT desktopid INTO iditem FROM desktopitem WHERE name=_name;
			
			-- Ajout de l'item au profil admin
			IF _categorie=-110 THEN
				INSERT INTO profiledesktopitem (profileid, desktopid) VALUES(3,iditem);
			ELSE
				INSERT INTO profiledesktopitem (profileid, desktopid) VALUES(4,iditem);
			END IF;
			
		END IF;
		
	ELSE
		DELETE FROM profiledesktopitem WHERE profiledesktopitem.desktopid=(SELECT desktopitem.desktopid FROM desktopitem WHERE name=_name);
		DELETE FROM desktopitem WHERE name=_name;	
	END IF;
end|
delimiter ;

DROP PROCEDURE IF EXISTS DesktopItem;
delimiter |
CREATE PROCEDURE DesktopItem()
begin
	DECLARE fgactif INT DEFAULT FALSE;
	
	-- EAD
	SET fgactif=FALSE;
	%if %%is_defined('activer_ead_web') and %%activer_ead_web == 'oui'
		SET fgactif=TRUE;
	%end if
	
	CALL GereDesktopItem(fgactif, 'ead', 'EAD', '/', '/posh-profil/images/icon/ead.png','','',-110);
	
	%if %%is_defined('activer_ead_reverseproxy') and %%activer_ead_reverseproxy == 'oui'
		UPDATE `desktopitem` SET `url`='https://%%web_url:%%port_ead_reverseproxy/connect/?server=1' WHERE `name`='ead';
	%else
		UPDATE `desktopitem` SET `url`='https://%%web_url:4200/connect/?server=1' WHERE `name`='ead';
	%end if
		

	-- ajaxplorer
	SET fgactif=FALSE;
	%if %%is_defined('activer_proftpd') and %%activer_proftpd == 'oui'
	%if %%is_defined('activer_ajaxplorer') and %%activer_ajaxplorer == 'oui'
		SET fgactif=TRUE;
	%end if
	%end if
	CALL GereDesktopItem(fgactif,'ajaxplorer', 'Ajaxplorer', '/ajaxplorer', '/posh-profil/images/icon/dir.png','','',-100);

	-- cdc
	SET fgactif=FALSE;
	%if %%is_defined('activer_cdc') and %%activer_cdc =='oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'cdc', 'CDC', '/cdc', '/posh-profil/images/icon/cdc.png','','',-100);

	-- cdt
	SET fgactif=FALSE;
	%if %%is_defined('activer_cdt') and %%activer_cdt =='oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'cdt', 'CDT', '/cdt', '/posh-profil/images/icon/cdt.png','','/cdt/fluxEnvole.php',-100);
	
	-- dokuwiki
	SET fgactif=FALSE;
	%if %%is_defined('activer_dokuwiki') and %%activer_dokuwiki == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'dokuwiki', 'Dokuwiki', '/dokuwiki', '/posh-profil/images/icon/dokuwiki.png','','',-100);
	
	-- fluxbb
	SET fgactif=FALSE;
	%if %%is_defined('activer_fluxbb') and %%activer_fluxbb == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'fluxbb', 'FluxBB', '/fluxbb', '/posh-profil/images/icon/fluxbb.png','','',-100);
	
	-- gepi
	SET fgactif=FALSE;
	%if %%is_defined('activer_gepi') and %%activer_gepi == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'gepi', 'GEPI', '/gepi', '/posh-profil/images/icon/gepi.png','','',-100);
	
	-- gibii
	SET fgactif=FALSE;
	%if %%is_defined('activer_gibii') and %%activer_gibii == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'gibii', 'B2i', '/gibii', '/posh-profil/images/icon/b2i.png','','',-100);
	
	-- grr
	SET fgactif=FALSE;
	%if %%is_defined('activer_grr') and %%activer_grr == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'grr', 'Grr', '/grr', '/posh-profil/images/icon/grr.png','','',-100);
	
	-- moodle
	SET fgactif=FALSE;
	%if %%is_defined('activer_moodle') and %%activer_moodle == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'moodle', 'Moodle', '/moodle', '/posh-profil/images/icon/moodle.png','','',-100);
	
	-- piwigo
	SET fgactif=FALSE;
	%if %%is_defined('activer_piwigo') and %%activer_piwigo == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'piwigo', 'Piwigo', '/piwigo', '/posh-profil/images/icon/piwigo.png','','',-100);
	
	-- roundcube
	SET fgactif=FALSE;
	%if %%is_defined('activer_roundcube') and %%activer_roundcube == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'roundcube', 'Roundcube', '/roundcube', '/posh-profil/images/icon/roundcube.png','','/posh-profil/script/unread.php',-100);
	
	-- zarafa
	SET fgactif=FALSE;
	%if %%is_defined('activer_webapp') and %%activer_webapp == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'zarafa_webapp', 'Zarafa Web', '/webapp', '/posh-profil/images/icon/mail.png','','',-100);
	
	SET fgactif=FALSE;
	%if %%is_defined('activer_groupware') and %%activer_groupware == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'zarafa', 'Zarafa', '/zarafa', '/posh-profil/images/icon/mail.png','','',-100);
	
	-- spip
	SET fgactif=FALSE;
	%if %%is_defined('activer_spip') and %%activer_spip == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'spip', 'Spip', '/spip', '/posh-profil/images/icon/eva.png','','',-100);
	
	-- statusnet
	SET fgactif=FALSE;
	%if %%is_defined('activer_statusnet') and %%activer_statusnet == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'statusnet', 'Statusnet', '/statusnet', '/posh-profil/images/icon/statusnet.png','','',-100);
	
	-- taskfreak
	SET fgactif=FALSE;
	%if %%is_defined('activer_taskfreak') and %%activer_taskfreak == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'taskfreak', 'Taskfreak', '/taskfreak', '/posh-profil/images/icon/taskfreak.png','','',-100);
	
	-- webcalendar
	SET fgactif=FALSE;
	%if %%is_defined('activer_webcalendar') and %%activer_webcalendar == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'webcalendar', 'Webcalendar', '/webcalendar', '/posh-profil/images/icon/calendar.png','','',-100);
	
	-- wordpress
	SET fgactif=FALSE;
	%if %%is_defined('activer_wordpress') and %%activer_wordpress == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'wordpress', 'Wordpress', '/wordpress', '/posh-profil/images/icon/wordpress.png','','',-100);
	
	-- bergamote
	SET fgactif=FALSE;
	%if %%is_defined('activer_bergamote') and %%activer_bergamote == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'bergamote', 'Bergamote', '/bergamote', '/posh-profil/images/icon/bergamote.png','','',-100);
	
	-- sap
	SET fgactif=FALSE;
	%if %%is_defined('activer_sap') and %%activer_sap == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'sap', 'SAP', '/sap', '/posh-profil/images/icon/sap.jpg','','',-110);
	
	-- jappix
	SET fgactif=FALSE;
	%if %%is_defined('activer_jappix') and %%activer_jappix == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'jappix', 'Jappix', '/jappix', '/posh-profil/images/icon/jappix.png','','',-100);
	
	-- phpmyadmin 
	SET fgactif=FALSE;
	%if %%is_defined('activer_phpmyadmin') and %%activer_phpmyadmin == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'phpmyadmin', 'phpMyAdmin', '/phpmyadmin', '/posh-profil/images/icon/phpmyadmin.png','','',-110);
	
	-- piwik 
	SET fgactif=FALSE;
	%if %%is_defined('activer_piwik') and %%activer_piwik == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'piwik', 'Piwik', '/piwik', '/posh-profil/images/icon/piwik.png','','',-110);
	
	-- gestion des profils
	SET fgactif=FALSE;
	%if %%is_defined('activer_poshprofil') and %%activer_poshprofil == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'poshprofil', 'Gestion des Profils', '/posh-profil', '/posh-profil/images/icon/poshprofil.png','','',-110);
	
	-- EOP
	SET fgactif=FALSE;
	%if %%is_defined('activer_eop') and %%activer_eop == 'oui'
		SET fgactif=TRUE;
	%end if
	%if %%is_defined('activer_eoe')
		CALL GereDesktopItem(fgactif,'eop', 'EOP', '/eoleapps/eop', '/posh-profil/images/icon/eop.png','','',-100);
	%else
		CALL GereDesktopItem(fgactif,'eop', 'EOP', '/eop/documents', '/posh-profil/images/icon/eop.png','','',-100);
	%end if
	
	-- EOE
	SET fgactif=FALSE;
	%if %%is_defined('activer_eoe') and %%activer_eoe == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'eoe', 'EOE', '/eoleapps/eleves/passperso', '/posh-profil/images/icon/eoe.png','','',-100);
		
	-- Owncloud
	SET fgactif=FALSE;
	%if %%is_defined('activer_owncloud') and %%activer_owncloud == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'owncloud', 'Owncloud', '/owncloud', '/posh-profil/images/icon/owncloud.png','','',-100);
	
	-- Calendrier Evenement
	SET fgactif=FALSE;
	%if %%is_defined('activer_calendrier') and %%activer_calendrier == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'calendrierevt', 'Calendrier Evènement', '/calendrier', '/posh-profil/images/icon/calendrier.png','','',-100);
	
	-- Iconito
	SET fgactif=FALSE;
	%if %%is_defined('activer_iconito') and %%activer_iconito == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'iconito', 'Iconito', '/iconito', '/posh-profil/images/icon/iconito.jpg','','',-100);
	
	-- Etherpad
	SET fgactif=FALSE;
	%if %%is_defined('activer_etherpad') and %%activer_etherpad == 'oui'
		SET fgactif=TRUE;
	%end if
	
	%if %%is_defined('activer_etherhome') and %%activer_etherhome == 'oui'
    	CALL GereDesktopItem(fgactif,'etherpad', 'Etherpad', '/etherhome', '/posh-profil/images/icon/etherpad.png','','',-100);
    %else
        CALL GereDesktopItem(fgactif,'etherpad', 'Etherpad', '/etherpad/', '/posh-profil/images/icon/etherpad.png','','',-100);
    %end if
	
	-- Balado
	SET fgactif=FALSE;
	%if %%is_defined('activer_balado') and %%activer_balado == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'balado', 'Balado', '/balado/', '/posh-profil/images/icon/balado.png','','',-100);
	
	-- OpenSondage
	SET fgactif=FALSE;
	%if %%is_defined('activer_opensondage') and %%activer_opensondage == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'opensondage', 'OpenSondage', '/opensondage', '/posh-profil/images/icon/opensondage.png','','',-100);
	
	-- Ethercalc
	SET fgactif=FALSE;
	%if %%is_defined('activer_ethercalc') and %%activer_ethercalc == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'ethercalc', 'Ethercalc', '/ethercalc/', '/posh-profil/images/icon/ethercalc.png','','',-100);
	
	-- Mahara
	SET fgactif=FALSE;
	%if %%is_defined('activer_mahara') and %%activer_mahara == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'mahara', 'Mahara', '/mahara', '/posh-profil/images/icon/mahara.png','','',-100);
	
	-- eConnect
	SET fgactif=FALSE;
	%if %%is_defined('activer_econnect') and %%activer_econnect == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'econnect', 'eConnect', '/econnect', '/posh-profil/images/icon/econnect.png','','',-100);
	
	-- limesurvey
	SET fgactif=FALSE;
	%if %%is_defined('activer_limesurvey') and %%activer_limesurvey == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'limesurvey', 'Limesurvey', '/limesurvey/index.php/admin', '/posh-profil/images/icon/limesurvey.png','','',-100);
	
	-- Pydio
	SET fgactif=FALSE;
	%if %%is_defined('activer_pydio') and %%activer_pydio == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'pydio', 'Pydio', '/pydio', '/posh-profil/images/icon/pydio.png','','',-100);
	
	-- Ressources
	SET fgactif=FALSE;
	%if %%is_defined('activer_envole') and %%activer_envole == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'ressources', 'Ressources ADMIN', '/ressources', '/posh-profil/images/icon/ressources.png','','',-110);
	
	-- Fengoffice
	SET fgactif=FALSE;
	%if %%is_defined('activer_fengoffice') and %%activer_fengoffice == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'fengoffice', 'FengOffice', '/fengoffice', '/posh-profil/images/icon/fengoffice.png','','',-100);
	
	-- SACoche
	SET fgactif=FALSE;
	%if %%is_defined('activer_sacoche') and %%activer_sacoche == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'sacoche', 'SACoche', '/sacoche', '/posh-profil/images/icon/sacoche.png','','',-100);	
	
	-- Mindmaps
	SET fgactif=FALSE;
	%if %%is_defined('activer_mindmaps') and %%activer_mindmaps == 'oui'
		SET fgactif=TRUE;
	%end if
	CALL GereDesktopItem(fgactif,'mindmaps', 'Mindmaps', '/mindmaps', '/posh-profil/images/icon/mindmaps.png','','',-100);	
	
	-- Les applications à ouvrir automatiquement dans un nouvel onglet
	UPDATE desktopitem SET mode=1 WHERE name='piwik' OR name='phpmyadmin';
    
end|
delimiter ;

CALL DesktopItem;


-- augementation de la taille d'url des alert rss
ALTER TABLE `alert` MODIFY `rssalert` VARCHAR(1024);

DROP PROCEDURE GereDesktopItem;
DROP PROCEDURE DesktopItem;
DROP PROCEDURE InsertColumn;
